Síntomas

Imagine la siguiente situación:

  • Use una base de datos de Microsoft SQL Server 2017 como origen de datos para un modelo de consulta directa tabular en SQL Server Analysis Services 2016.

  • La base de datos de SQL de destino se encuentra en un nivel de compatibilidad anterior, como SQL Server 2016.

En este escenario, cuando examina el modelo de consulta directa, recibe el siguiente mensaje de error:

Error de DirectQuery: DirectQuery no se puede usar con este origen de datos; considere la posibilidad de migrar a un origen de datos compatible o de actualizar el origen de datos de SQL Server a la última versión disponible.

 

Resolución

Esta corrección se incluye en las siguientes actualizaciones acumulativas para SQL Server:

Actualización acumulativa 7 para SQL Server 2017

Actualización acumulativa 8 para SQL Server 2016 Service Pack 1

Acerca de las compilaciones de SQL Server

Cada compilación nueva para SQL Server 2016 contiene todas las revisiones y correcciones de seguridad de la compilación anterior. Le recomendamos que instale las últimas actualizaciones acumulativas para SQL Server:

Compilación más reciente para SQL Server 2017

Compilación más reciente para SQL Server 2016

Estado

Microsoft ha confirmado que se trata de un problema de los productos de Microsoft recogidos en la sección "Se aplica a".

Referencias

Obtenga más información sobre la terminología que Microsoft usa para describir las actualizaciones de software.

¿Necesita más ayuda?

Ampliar sus conocimientos
Explorar los cursos
Obtener nuevas características primero
Unirse a Microsoft Insider

¿Le ha sido útil esta información?

¿Cómo de satisfecho está con la calidad de la traducción?
¿Qué ha afectado a tu experiencia?

¡Gracias por sus comentarios!

×